
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>企业上云，你必须了解的阿里云资源管理模型 / iVAN</title>

    <meta name="description" content="企业上云，你必须了解的阿里云资源管理模型 摘要:越来越多的企业客户开始迁云,然而客户上云后所反馈最多的一类问题就是云资源的管理问题.究其原因,我们发现本质问题是企业上云的云账号规划问题.于是产出本文,首先介绍阿里云账号的基本概念及其功能,然后全面解释阿里云所提供的四种云资源管理基础模型,最后再提供一个案例分析,以帮助上云客户有效解决云资源的安全管理问题. 认识云账号 云账号又称租户账号,它是阿里云客户的身份标识.要正确理解一个云账号,我们需要从四个方面来看: 云账号是多租户资源隔离的基本主体.在云平台上,不同客户所购买的云资源是默认隔离">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">企业上云，你必须了解的阿里云资源管理模型</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>摘要</strong>：越来越多的企业客户开始迁云，然而客户上云后所反馈最多的一类问题就是云资源的管理问题。究其原因，我们发现本质问题是企业上云的云账号规划问题。于是产出本文，首先介绍阿里云账号的基本概念及其功能，然后全面解释阿里云所提供的四种云资源管理基础模型，最后再提供一个案例分析，以帮助上云客户有效解决云资源的安全管理问题。</p>
<h2>认识云账号</h2>
<p>云账号又称租户账号，它是阿里云客户的身份标识。要正确理解一个云账号，我们需要从四个方面来看：</p>
<ol>
<li>云账号是多租户资源隔离的基本主体。在云平台上，不同客户所购买的云资源是默认隔离的，比如，账号A在ECS上购买的虚拟机在默认时不会被其它云账号看见。</li>
<li>云账号是云资源的属主(ResourceOwner)。任何云资源都有唯一的属主，该属主就是云账号，属主将要确保对所租用资源的合规、合法使用。</li>
<li>云账号是云资源使用计量及财务结算主体。云账号具有独立的财务管理能力，比如申请信用额度、充值续费、账单结算、开具发票等。</li>
<li>云账号是云资源的权限管理员(root)。云账号是资源的属主，对资源拥有完全控制权限，而且可以将这些权限授予给其他用户。</li>
</ol>
<h2>多个云账号的财务关联</h2>
<p>对于多个完全独立的云账号而言，每个云账号进行独立的财务结算可能会导致较高的管理成本。为此，阿里云提供了云财务管理功能，它支持将多个独立的云账号进行财务关联，可以对多个云账号进行合并计费、合并账单、以及共享资金和信用额度。对此有需求的客户可以访问 云财务管理控制台 。</p>
<p>注意：尽管云财务管理提供对多个账号的财务合并管理功能，但不同账号之家的资源仍然是完全隔离的。多账号的财务合并管理并不会打破多租户资源隔离这一基本原则。</p>
<h2>云资源管理模型</h2>
<h3>Type-I：单账号模型</h3>
<p>这是企业上云的原始模型。该模型仅仅依赖云账号所提供的基础功能，如下图所示：</p>
<p><a href="http://ata2-img.cn-hangzhou.img-pub.aliyun-inc.com/0dfa1becefd14d11ceb5ef6cd7c0c490.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYXRhMi1pbWcuY24taGFuZ3pob3UuaW1nLXB1Yi5hbGl5dW4taW5jLmNvbS8wZGZhMWJlY2VmZDE0ZDExY2ViNWVmNmNkN2MwYzQ5MC5wbmc=.jpg"></a></p>
<p>适用场景：</p>
<ul>
<li>单个项目上云</li>
<li>单用户使用与管理</li>
<li>仅适合于个人学习或测试场景</li>
</ul>
<blockquote><p><strong>注意：</strong>由于该模型没有遵循最佳安全实践，我们不推荐任何企业客户使用，而强烈建议客户使用Type-III（单账号+RAM）模型来取代该模型。</p></blockquote>
<h3>Type-II：“多账号+合并财务管理”模型</h3>
<p>该模型支持多个云账号以及多账号的合并财务管理，比较适合于多个独立项目或子公司上云的场景，不同项目或子公司的机器/网络资源无需互通，并且希望在财务方面能提供统一结算、合并账单、统一开票、共享资金和信用额度等功能。</p>
<p>模型描述如下图所示：</p>
<p><a href="http://ata2-img.cn-hangzhou.img-pub.aliyun-inc.com/8c2579445f7a87b49d3be3708bd9032f.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYXRhMi1pbWcuY24taGFuZ3pob3UuaW1nLXB1Yi5hbGl5dW4taW5jLmNvbS84YzI1Nzk0NDVmN2E4N2I0OWQzYmUzNzA4YmQ5MDMyZi5wbmc=.jpg"></a></p>
<p>适用场景：</p>
<ul>
<li>集团型企业，多个子公司上云</li>
<li>不同子公司资源隔离，网络或机器不需要互通</li>
<li>需要合并不同子公司的账单、支付和开票管理</li>
<li>每个子公司有独立的运维管理员</li>
</ul>
<h3>Type-III：“单账号+RAM”模型</h3>
<p>该模型是对Type-I模型的安全增强。Type-I模型的主要缺点是多用户场景下不得不共享“主账号”或“大AK”而导致极大的安全风险。通常对一个企业客户来说，云资源的使用和运维管理都存在多用户场景，需要能支持多用户管理、细粒度授权管理与风险控制管理。RAM服务是阿里云提供的多用户管理与访问控制服务，它能很好的满足云计算业界最佳安全实践标准。模型描述如下图所示：</p>
<p><a href="http://ata2-img.cn-hangzhou.img-pub.aliyun-inc.com/7f83dc383232dc1128ac418cd5342b4f.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYXRhMi1pbWcuY24taGFuZ3pob3UuaW1nLXB1Yi5hbGl5dW4taW5jLmNvbS83ZjgzZGMzODMyMzJkYzExMjhhYzQxOGNkNTM0MmI0Zi5wbmc=.jpg"></a></p>
<p>适用场景：</p>
<ul>
<li>普通企业单项目上云</li>
<li>多用户运维管理，实现不同职责的权限分离</li>
<li>最佳安全实践，满足最小权限原则</li>
</ul>
<h3>Type-IV: “单账号+RAM+资源组管理”模型</h3>
<p>由于我们越来越多的企业业务开始迁云，一个云账号下拥有上千个ECS实例、RDS实例以及PB级存储已成为普遍场景。由于缺少资源分组以及基于分组的自治权限管理，上文描述的Type-III模型将无法应对此类场景。Type-IV模型正是以解决此类大规模资源管理场景为目标，基于Type-III模型能力进行扩展，增加了资源管理服务，提供云资源的分组管理、分级授权管理、以及面向资源组的账单管理。模型描述如下图所示：</p>
<p><a href="http://ata2-img.cn-hangzhou.img-pub.aliyun-inc.com/39b4325b690736075dbd62dad47bf495.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYXRhMi1pbWcuY24taGFuZ3pob3UuaW1nLXB1Yi5hbGl5dW4taW5jLmNvbS8zOWI0MzI1YjY5MDczNjA3NWRiZDYyZGFkNDdiZjQ5NS5wbmc=.jpg"></a></p>
<p>适用场景：</p>
<ul>
<li>普通企业多项目上云</li>
<li>资源按项目进行分组管理</li>
<li>每个项目分组可以实现独立的分级权限管理</li>
<li>多用户运维，实现不同职责的权限分离</li>
<li>最佳安全实践，满足最小权限原则</li>
<li>按照项目分组维度查看账单</li>
</ul>
<h2>客户案例分析</h2>
<p>我们提供的上述四种基本模型，很大程度上就能直接满足大部分的客户场景。然而有的企业客户场景和需求比较复杂，需要足够理解这四种模型的优劣之后才能得到有效的解决方案。</p>
<p>如下是一个真实的客户案例：</p>
<blockquote><p>企业A有超过1万员工，有企业本地数据中心，信息安全系统健全，企业内部正在使用Windows AD进行员工域账号管理。企业有10个新项目要上云，平均每个项目大约需要50台ECS虚拟机及其它相关云资源，目前各个项目的资源不需要互通，但希望后续也能支持互通的可能性。希望每个项目能有独立的管理员，项目管理员能独立管理项目资源、项目成员及其权限管理。所有云资源操作人员要求使用企业本地域账号认证，禁止绕过企业本地身份认证系统而直接操作云资源。所有项目希望能合并记账，统一支付和账单管理。</p></blockquote>
<p>针对这个客户场景，简单方案是采用Type-II模型（多账号+合并财务管理）。比如，一共申请11个云账号，每个项目对应一个云账号，最后一个云账号用于合并财务管理。然而，这一做法存在的问题有两个：(1) 如果企业未来需要实现不同项目的资源互通，尽管技术上存在可行性，但会导致相当高的管理成本；(2) 由于要实现与企业本地AD系统的身份联盟，那么就要在11个云账号下都开通RAM，域账号数据同步到每个RAM，并且还要为每个RAM都配置外部账号SSO，这也会导致相当高的技术管理成本。</p>
<p>因此我们会推荐采用Type-IV模型（单账号+RAM+资源组管理）来解决该客户场景问题：客户一共只需要申请1个云账号，开启RAM服务，企业域账号同步到RAM，并在RAM中开启使用外部账号SSO。在这个云账号下创建10个项目，为不同项目设置独立的管理员，那么管理员可以自治管理项目的资源和权限。云财务管理系统也将为客户提供基于资源组维度的账单管理和财务功能，因此可以更好地满足客户需要，真正有效地降低客户上云的安全管理成本。</p>
<h2>结语</h2>
<p>基于多租户的云资源管理与传统的企业资源管理有着本质的差别。上云之前，客户只有充分理解了云平台所提供的云资源管理模型和能力时，迁云才可能是一件充满无限魅力的事情。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 13:04:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%b9%b3%e5%8f%b0/" title="云平台">云平台</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e8%b5%84%e6%ba%90%e7%ae%a1%e7%90%86/" title="资源管理">资源管理</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e6%8a%80%e6%9c%af%e5%8d%8f%e4%bc%9a/" title="阿里技术协会">阿里技术协会</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e8%ae%a1%e7%ae%97/" title="云计算">云计算</a>, <a href="https://www.iamivan.net/tag/ram/" title="RAM">RAM</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8%e7%ae%a1%e7%90%86/" title="安全管理">安全管理</a>, <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90%e7%ae%a1%e7%90%86/" title="权限管理">权限管理</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e8%b4%a6%e5%8f%b7/" title="云账号">云账号</a>, <a href="https://www.iamivan.net/tag/%e8%b5%84%e6%ba%90%e7%bb%84/" title="资源组">资源组</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>企业上云，你必须了解的阿里云资源管理模型的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRwBjz.html" rel="bookmark">云上用户&OpenCurlyDoubleQuote;一站式&rdquo;等保，阿里云用生态做到</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6月11日,云栖大会 · 上海峰会上,阿里云与公安部第三研究所.国家网络与信息系统安全产品质量监督检验中心和上海计算机软件技术开发中心评测重点实验室,共同发布&quot;阿里云等级保护生态&quot;. 在&quot;等保合规生态&quot;中,阿里云提供云安全产品和服务,咨询厂商提供全流程技术支撑和咨询服务,测评机构提供测评服务,公安机关负责备案审核和监督检查.将整个等保合规流程的时间,从平均一年的时间最快能缩短到一个月. 发布会现场 从左至右:阿里云安全生态负责人 陈天鸿:国家网络与信息系统安全产品质			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zexXNOp.html" rel="bookmark">上云培训课程：深入掌握阿里云产品与服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程名称:深入掌握阿里云产品与服务   课程代码:ACP11002   课程介绍:为了让您的架构师.开发者和运维人员有足够的能力顺利开展企业上云计划,让学习者进一步掌握上云所需的基本知识.阿里云产品与服务,让学习者能够根据业务要求更明智地对企业上云方案做出决策,阿里云特别推出深入掌握阿里云产品与服务培训课程.课程由专业的阿里云讲师主讲,结合丰富的实验资源,对阿里云产品.技术.解决方案等进行专业讲解和引导.   课程特色:本培训课程为阿里云原厂上云培训课程系列之一,课程在全面介绍阿里云服务和产品的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLEaKz.html" rel="bookmark">阿里云创投服务，是阿里云从云上开发者角度出发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				投资第三层境界,众里寻他千百度,蓦然回首,那人却在灯火阑珊处.传统的融资,云上开发者往往逃不开&quot;寻寻觅觅,却不知你在何处?&quot;.&quot;你拒我千百遍,我依待你如初恋&quot;,归结三个方面: · 项目递交无反馈 云上开发者提交项目后,经过一段时间的等待,希望能了解项目现在是否有进展?更是对投资人的项目反馈如珍如宝,但传统的创投有去无回石沉大海,对初期云上开发者的成长无疑像少了润滑剂般.阿里云的创投服务从云上开发者角度出发,提供100%建议及结果反馈,与阿里云合作的投资伙伴将会安排1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42vJjM.html" rel="bookmark">华为云腾讯云都在追赶的阿里云在追什么？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算,已经从一个可选的备胎,成为了不可逆转的趋势. 腾讯云.百度云.华为云.运营商都在今年持续加力.7年前把云计算比作&quot;阿凡达&quot;的马化腾,如今亲自为腾讯云站台.后来者华为云甚至主动叫板阿里云,&quot;华为公有云必须三年超过阿里云&quot;. 被国内云计算企业视为标杆的.成立8年的阿里云,却把对手定位到了远隔太平洋的美国西雅图和华盛顿中----和亚马逊.微软鼎立全球三足的阿里云,其总裁胡晓明在最近一次接受采访时说,阿里云的目标是亚马逊的AWS,学习对象是微软.而在中国市场则领先三			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0B9vp.html" rel="bookmark">云操作系统业务&lpar;云OS&rpar;将独立于阿里云事业群运行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				9月20日,阿里巴巴集团宣布,云操作系统业务(云OS)将独立于阿里云事业群运行,接受集团直接管理,阿里巴巴集团首席数据官陆兆禧将兼任该业务总裁,阿里巴巴集团首席技术官王坚将兼任该业务董事长及CTO职务.阿里集团还将投资两亿美金给云OS业务,加强其在人才.技术和设施上的投入. 事实上,一周以来阿里云操作系统正处在被质疑的漩涡中--从未对采用安卓系统硬件厂商采取过任何过激行为的谷歌终于有了&quot;第一次&quot;:9月13日,在宏碁和阿里云上海手机发布会前一小时向宏碁施压,如果宏碁执意发布与阿里云合作手			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1XNyb.html" rel="bookmark">阿里云优惠券使用方法-免费领取阿里云优惠券</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				小编为您介绍如何免费领取阿里云优惠券,以及领取了阿里云优惠券,如何使用. 阿里云优惠是什么? 阿里云优惠券是阿里云发行的一种优惠券,只要领取了阿里云优惠券,在你购买阿里云产品的时候,就有优惠. 阿里云经过这些年的发展,已经成为知名的云服务器提供商.以前阿里云很多的优惠措施,到今天差不多全部失效了,很多的优惠措施阿里云已经取消了. 目前阿里云只有一个优惠券的优惠措施.并且阿里云优惠券仅对首次购买才有优惠,如果不是首次购买没有优惠. 阿里云优惠券领取地址(阿里云优惠券目前已更名为阿里云幸运券) ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGJkX2p.html" rel="bookmark">云栖网络技术峰会-阿里云公网产品正确使用姿势节省50&percnt;成本秘诀-PPT和演讲文字实录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    大家好,我是阿里云的秋光.今天很高兴在这和大家一起分享一下 阿里云的公网产品以及如何省钱的的使用阿里云的公网.     首先问大家一个问题,大家都知道数据中心基础设施三大件是什么吗?     三大件指的是,网络.计算和存储.这三大件中其中网络是特别影响用户体验的一个要素.因为对于大部分数据中心来说都需要对外提供服务,让用户可以访问到服务器上所部署的业务系统.如果公网质量比较差那么对外提供的服务给用户带来的体验就会很差.     几年前网络上有句流行语叫做&quot;世上最远的距离,不是南极和北极,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3OZdz.html" rel="bookmark">云服务器的优势（阿里云）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       本文重点介绍一下云服务器的优势,由于作者本人主要使用的阿里云的云服务器ECS,因此本文将直接以阿里云ECS为例相对于其他产品进行对比介绍,文章仅仅从个人使用体验角度出发,因此对于整个云服务器的优势来讲,必然会不完整.更多云服务器优点还需要各位自行学习和挖掘.         先插播阿里云的广告,本站目前做阿里云推广工作,因此,还请理解.为了照顾不需要广告的用户继续阅读,可以直接跳过下面的着色段落: 欢迎领取本站的阿里云幸运券,新用户首购和升级,老用户首购,老用户升级均可带来一定折扣			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBw5Zb.html" rel="bookmark">Gartner公布2017年全球云存储魔力象限：阿里云跻身四强 全球前四</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				据媒体报道,国际知名调研机构Gartner近日公布了2017年全球云计算云存储魔力象限.阿里云的云存储发展迅速,与AWS.Microsoft.Google共同跻身这一核心领域四强. 这也是,阿里云连续两年进入全球云存储魔力象限. 图1-2017年Gartner全球云存储魔力象限图 Gartner成立于1979年,是世界领先的研究和咨询公司.该公司为商界领袖了解相关行业而提供客观见解,帮助他们作出正确决定.其发布的行业魔力象限被认为是产业风向标. Gartner在评估云厂商的提供的云存储的标准,主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRNe3b.html" rel="bookmark">阿里云优惠有哪些？阿里云优惠汇总大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云最新优惠活动:阿里云产品(服务器ECS.数据库等)优惠活动比较多,很多朋友看的眼花缭乱,来汇总一下阿里云目前的优惠,以下优惠适用于阿里云明星产品阿里云服务器ECS.独享云虚拟主机.数据库等云产品. 阿里云优惠汇总大全(包括阿里云服务器.阿里云幸运券.域名优惠口令.免费套餐邀请码.八折推荐码等) 阿里云幸运券: 阿里云官方推出的针对新用户的优惠活动,领取幸运券可以享受折扣上优惠,使用幸运券结算的时候可以随即减免一定的金额.阿里云幸运券领取:https://promotion.aliyun.c			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3N0Jz.html" rel="bookmark" class="title">Excel工作表中使用模拟运算表的方法</a>
					<div>
						  Excel工作表中使用模拟运算表的方法          1.创建一个新的Excel工作表,并在工作表输入数据.在B9单元格中输入提成金额的计算公式&quot;=$B$2*$B$3&quot;,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpddN1p.html" rel="bookmark" class="title">AJAX基础电子教程</a>
					<div>
						ajax|电子教程 什么是 AJAX? AJAX (异步 JavaScript 和 XML) 是个新产生的术语,专为描述JavaScript的两项强大性能.这两项性 能在多年来一直被网络开发者所忽略, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9LkVb.html" rel="bookmark" class="title">Java新手常犯的几种错误</a>
					<div>
						错误 失败是成功之母,这句话用在编程高手身上是再合适不过的了.学习编程没有什么捷径可以走, 在不断的学习和编码的过程中,逐渐的积累经验,从开始的模仿者变成最后的创作者.和学习其它的 编程语言一样,Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy8Olb.html" rel="bookmark" class="title">获得结果</a>
					<div>
						获得结果在本章中,我们来学习如何获得SQL语句的执行结果. 我们称由查询返回的一组记录为一个 结果集(result set) (或在VB中被称为recordset).检索结果通常分为以下几个步骤:确认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNaYPb.html" rel="bookmark" class="title">JSP显示内容缓存技巧</a>
					<div>
						js|缓存|技巧|显示 前段时间做自己社区的论坛,在jive的基础上做一个页面显示所有论坛的帖子,可以称之为总版,模仿Forum类的接口做个SuperForum并且实现Cachable,不过因为这个页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2wLyM.html" rel="bookmark" class="title">标签交换技术在全光互联网中的应用</a>
					<div>
						摘要:本文首先介绍了MPLS向光网络的扩展,其次阐述了传统电域交换技术在光域中的应用,最后分析了基于标签交换的全光互联网解决方案:多协议波长标签交换MPLmS.基于标签光突发交换LOBS.全光标签分组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo63P3z.html" rel="bookmark" class="title">Groovy探索之责任链模式</a>
					<div>
						责任链模式在现实中也有很多对应的实例. 比方说,一个公司有A,B,C,D四个项目组,各自相邻.一天,一个客户打电话进来,说我们某某项目出了点问题,请帮忙解决.电话是由A项目组的人接的,A项目组的人一听 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balQNmz.html" rel="bookmark" class="title">oracle Streams实践：如何创建全库复制</a>
					<div>
						正如前面介绍的那样,对于数据库级复制,oracle提供了两种方式: A .MAINTAIN_GLOBAL B .PRE_INSTANTIATION_SETUP.POST_INSTANTIATION_S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6ZP6z.html" rel="bookmark" class="title">C&num;多线程变成传递参数解决方案</a>
					<div>
						在写多线程程序的时候,往往委托调用的方法不能传递参数,但是我就遇到了一个问题,线程委托的方法必须要传递参数,因为我有多个线程,而多个线程所注册的方法体基本上都是一样的,只有几个变量的值不一样,我也不想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNQZZb.html" rel="bookmark" class="title">PPT中几个快速切换视图状态的方法</a>
					<div>
						通常情况下,你可以利用屏幕左下角的视图按钮在几种不同的视图状态(普通视图.幻灯片浏览视图.幻灯片放映)之间进行快速切换.但你恐怕不知道使用键盘与视图按钮相配合还可以获得完全不同的效果. 如单击&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAGWlb.html" rel="bookmark" class="title">PS合成雨雾中的神奇水泡美女</a>
					<div>
						作者制作水泡人物的方法非常不错.过程:先把人物除肤色以外的部分都复制到单独一个图层,然后把肤色部分用图章等工具加上背景,再用水泡素材按人物轮廓变形填满,底部可以保留透淡淡的人像,后期调整颜色,修饰细节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3W7OM.html" rel="bookmark" class="title">Word一栏与多栏文本快速混排技巧</a>
					<div>
						在默认情况下,Word的Normal模板被设置为一栏格式,因此,当我们输入文本段落时,输入的格式也是一栏. 然而有时候我们需要在一段文字之后使用两栏或三栏的格式,而在分栏的文字之后又可能再使用一栏的段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72WXXp.html" rel="bookmark" class="title">JS回调函数的应用简单实例</a>
					<div>
						  JS的回调函数很简单,看代码: 在a.js中 1 2 3 4 5 6 7 8 9 10 11 var myback = null;  function load(obj){  myback = o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eaQYb.html" rel="bookmark" class="title">Win7任务栏中Jumplist的清理方法</a>
					<div>
						  对于程序开发人员来说,也可以轻易创建适合自己应用程序的快速跳转列表来方便用户.同时,你注意观察可以发现,Windows 7任务栏上的这个Jumplist特性不仅提供了以上所提到的,另外还包含了该程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqeOkb.html" rel="bookmark" class="title">picker-如何获取UIPicker中的行row？</a>
					<div>
						问题描述 如何获取UIPicker中的行row? 如何获取picker中的行row的值?(有想到一个不太好的方法,第一个全局变量 int pickerRow,在didSelectRow方法中,将row ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVamZb.html" rel="bookmark" class="title">4&period;4 协处理器-Android 4&period;4计步 协处理器</a>
					<div>
						问题描述 Android 4.4计步 协处理器 Android4.4新加了计步传感器,使用原理是什么呢? Android手机推出了好多带协处理器的手机自带计步功能,这个计步跟Android4.4的系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7YRWM.html" rel="bookmark" class="title">&period;Net框架搭建之2、SQL Server MEF依赖注入 MVC Repository框架</a>
					<div>
						MEF依赖注入简介 依赖注入对于开发人员来说,方便的就是不需要去关注具体的实现类,不需要去New实例对象,直接使用接口层就能让程序自动注入使用,当然,还有其他一些特点,比如web http同一个请求中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq2rlz.html" rel="bookmark" class="title">nginx-Nginx 编译安装问题，请大家帮忙</a>
					<div>
						问题描述 Nginx 编译安装问题,请大家帮忙 解决方案 换个版本试试吧,没遇到过这样的问题. 解决方案二: 你看编译出来nginx二进制文件没					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeQ8Lb.html" rel="bookmark" class="title">string-C&plus;&plus;程序编写一个学生管理系统出了一个问题，求大家帮忙看一下是哪出了问题</a>
					<div>
						问题描述 C++程序编写一个学生管理系统出了一个问题,求大家帮忙看一下是哪出了问题 #include #include using namespace std; class Student() { i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1mPdz.html" rel="bookmark" class="title">ORA-24300 When Configuring GC Agent to monitor 11g ASM &lbrack;ID 977472&period;1&rsqb;</a>
					<div>
						ORA-24300 When Configuring GC Agent to monitor 11g ASM [ID 977472.1]   修改时间 05-OCT-2011     类型 PROBL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4078jz.html" rel="bookmark" class="title">详解使用Dockerfile创建带Apache服务的CentOS Docker镜像&lowbar;docker</a>
					<div>
						使用Dockerfile创建带Apache服务的CentOS Docker镜像 在宿主机上准备的文件清单: Dockerfile #启动ssh和apache服务的角本 run.sh 以上文件都放到/r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmO9RM.html" rel="bookmark" class="title">java-js数据模板与自定义标签</a>
					<div>
						问题描述 js数据模板与自定义标签 问题背景:想用自定义标签控制jsp,不同的人页面上显示不同的内容. 问题:如果JSP页面上事先已经画好的例如按钮等,加上标签控制没有问题,但是有一些要控制table ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk8xqM.html" rel="bookmark" class="title">微信红包&period;让商户变成财神爷</a>
					<div>
						有这么一个段子,跟女神发微信问好,女神一整天不回,扔了一个2块钱的红包过去,10秒钟后再看,红包已经被领取.这就是微信红包的&quot;魅力&quot;. 自2014年1月26日悄悄上线后,微信红包在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ8L3p.html" rel="bookmark" class="title">测试工具-后台数据库入侵&vert;后台数据库渗透测试。后台数据库导入！！</a>
					<div>
						问题描述 后台数据库入侵|后台数据库渗透测试.后台数据库导入!! QQ200832005渗透测试方面的单子(可兼职也可接私活) 技能要求 具有至少1年以上的职业黑客攻击经验,并实际操作过各类项目,拒绝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8QAdp.html" rel="bookmark" class="title">Go语言服务器开发之简易TCP客户端与服务端实现方法&lowbar;Golang</a>
					<div>
						本文实例讲述了Go语言服务器开发之简易TCP客户端与服务端实现方法.分享给大家供大家参考.具体实现方法如下: Go语言具备强大的服务器开发支持,这里示范了最基础的服务器开发:通过TCP协议实现客户端与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr22x6M.html" rel="bookmark" class="title">PHP使用pear实现mail发送功能 windows环境下配置pear&lowbar;php技巧</a>
					<div>
						PHP发邮件可以用其自带mail()函数,但是这个函数很不好使,需要配置邮件服务器,并且不支持smtp验证,在很多场合无法正常的工作. 找了个代码发邮件,但总是出错,我在这里用PEAR的Mail类,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QJwZM.html" rel="bookmark" class="title">css 自适应宽度圆角滑动门</a>
					<div>
						onmouseover事件 选项卡1 选项卡选项卡2 选3 选选4 选选选选选选选选选选选选选选5 JavaScript 经典效果集-第二期策划中 老猫的理想制作w3school javascript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Gn9Ap.html" rel="bookmark" class="title">三款js 验证邮箱格式代码</a>
					<div>
						&lt;script&gt; function checkmail(str){ var strreg=&quot;&quot;; var r; var strtext=document.all(str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44x8qz.html" rel="bookmark" class="title">VB&period;net调整richtextbox行间距</a>
					<div>
						问题描述 我在网上搜了vb这个方面的程序,如下,但是,我现在只能把行间距,缩小为原来的一半,也就是上面的那部分的间距去掉了,下面的还在.bLineSpacingRule,dyLineSpacing这两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx20VPz.html" rel="bookmark" class="title">雷军再提智能家居，话中有话？</a>
					<div>
						昨天(9月13日)下午两点,雷军转发小米员工吐槽智能家居行业现状的微博,暗示&quot;智能家居&quot;四个字被玩坏了. 随后,小米公司官微转发雷军微博,借势征询用户建议. 大概半年前,3月份的时 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
